### get_global_indices -- Get vector of global indices

    myidx = desc%get_global_indices([owned])

Type:
  Asynchronous.
On Entry
desc
  the communication descriptor.
  Scope: local.
  Type: required.
owned
  Choose if you only want owned indices (`owned=.true.`) or also halo indices (`owned=.false.`). Scope: local.
  Type: optional; default: `.true.`.

On Return
Function value
  The global indices, returned as an allocatable integer array of rank 1.